/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel3.explizit;

import java.io.IOException;

import com.novell.ldap.LDAPConnection;
import com.novell.ldap.LDAPEntry;
import com.novell.ldap.LDAPException;
import com.novell.ldap.util.LDIFWriter;

/**
 * Ausgabe eines Eintrages in LDIF mit JLDAP -- (Listing 3_3).
 * 
 * Um das Beispiel auszuf&uuml;hren muss sich Novells JLDAP-Bibliothek im
 * Classpath befinden (ldap.jar), vgl. Kapitel 3.1.
 * 
 * @author Stefan Z&ouml;rner
 */
public class JldapLdifBeispiel {

  public static void main(String[] args) throws LDAPException,
      IOException {

    LDAPConnection con = new LDAPConnection();
    con.connect("magritte", 389);
    LDAPEntry eintrag = con
        .read("uid=nlammert,ou=personen,dc=bundestag,dc=de");

    LDIFWriter writer = new LDIFWriter(System.out);
    writer.writeEntry(eintrag);
    writer.finish();

    con.disconnect();
  }
}
