/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel3.explizit;

import netscape.ldap.LDAPAttribute;
import netscape.ldap.LDAPConnection;
import netscape.ldap.LDAPEntry;
import netscape.ldap.LDAPException;
import netscape.ldap.LDAPSearchResults;

/**
 * Suchabfrage mit dem Directory SDK (synchron) -- (Listing 3_1).
 * 
 * Die Verbindungsdaten sind hart in den Quelltext kodiert, es wird eine anonyme
 * Verbindung aufgebaut. Zur Kompilation und zum Ablauf wird das SDK
 * ben&ouml;tigt (ldapjdk.jar), vgl. Kapitel 3.1.
 * 
 * @author Stefan Z&ouml;rner
 */
public class SdkSynchronBeispiel {

  public static void main(String[] args) throws LDAPException {

    LDAPConnection con = new LDAPConnection();
    con.connect("magritte", 389);

    LDAPSearchResults results = con.search("dc=bundestag,dc=de",
        LDAPConnection.SCOPE_SUB,
        "(&(objectclass=person)(sn~=Schmidt)(!(mail=*)))",
        new String[] { "cn", "title" }, false);

    while (results.hasMoreElements()) {
      LDAPEntry eintrag = results.next();
      System.out.println(eintrag.getDN());
      LDAPAttribute cn = eintrag.getAttribute("cn");
      System.out.println(cn.getStringValueArray()[0]);
      LDAPAttribute title = eintrag.getAttribute("title");
      if (title != null) {
        System.out.println(title.getStringValueArray()[0]);
      } // if
      System.out.println();
    } // while
    con.disconnect();
  } // main
}
