/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel3.jndi;

import javax.naming.Binding;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingEnumeration;
import javax.naming.NamingException;

/**
 * Kontext durchlaufen -- (Listing 3_10).
 * 
 * Um das Beispiel auszuf&uuml;hren zu k&ouml;nnen, muss JNDI korrekt
 * konfiguriert sein (Stichwort jndi.properties), vgl. Kapitel 3.3.2.
 * 
 * @author Stefan Z&ouml;rner
 */
public class BrowseBeispiel {

  public static void main(String[] args) throws NamingException {
    
    long start = System.currentTimeMillis();
    
    Context ctx = new InitialContext();

    long end = System.currentTimeMillis();

    
    System.out.println(ctx.getEnvironment().get("java.naming.provider.url")+", "+(end-start)+" ms");
    System.exit(1);
    
    browseRekursiv(ctx, 0);
  }

  public static final void browseRekursiv(Context ctx, int tiefe)
      throws NamingException {

    NamingEnumeration<Binding> enm = ctx.listBindings("");
    while (enm.hasMore()) {
      Binding b = enm.next();
      if (b.getObject() instanceof Context) {
        Context cur = (Context) b.getObject();
        for (int i = 0; i < tiefe * 2; ++i)
          System.out.print(' ');
        System.out.println(b.getName());
        browseRekursiv(cur, tiefe + 1);
      }
    } // while
  } // browseRekursiv
}