/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel3.jndi;

import java.util.Properties;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NameClassPair;
import javax.naming.NamingEnumeration;
import javax.naming.NamingException;

/**
 * Dateien in einem Verzeichnis auflisten -- (Listing 3_8).
 * 
 * F&uuml;r die Ausf&uuml;hrung wird der Filecontext-Provider von Sun
 * ben&ouml;tigt, vgl. Kapitel 3_3_2.
 * 
 * @author Stefan Z&ouml;rner
 */
public class DateiBeispiel {

  public static void main(String[] args) throws NamingException {

    Properties env = new Properties();
    env.put(Context.INITIAL_CONTEXT_FACTORY,
        "com.sun.jndi.fscontext.FSContextFactory");
    env.put(Context.PROVIDER_URL, "file:.");
    Context ctx = new InitialContext(env);

    NamingEnumeration<NameClassPair> enm = ctx.list("/");
    while (enm.hasMore()) {
      NameClassPair ncp = enm.next();
      System.out
          .print(ncp.getName() + " - " + ncp.getClassName());
      Object obj = ctx.lookup(ncp.getName());
      if (obj instanceof Context) {
        System.out.println(" (Ordner)");
      } else {
        System.out.println(" (Datei)");
      }
    } // while
  } // main
}
